import type { commonPayload, vwoPayload } from './types';
export declare const hosts: {
    [key: string]: string;
};
export declare function formatPayload(name: string, payload: commonPayload, isCustomEvent: boolean, isTrack?: boolean, apiKey?: string, accountId?: number): {
    headers: {
        [k: string]: string;
    };
    structuredPayload: vwoPayload;
};
export declare function sanitiseEventName(name: string): string;
export declare function formatAttributes(attributes: {
    [k: string]: unknown;
} | undefined): {
    [k: string]: unknown;
};
export declare function generateUUIDFor(userId: string | number, accountId: number): string;
